Name:           libidn2
Version:        2.0.5
Release:        6
Summary:        GNU IDN Library
License:        (GPLv2+ or LGPLv3+) and GPLv3+
URL:            https://www.gnu.org/software/libidn/#libidn2
Source0:        https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz

Patch0:         bugfix-libidn2-change-rpath.patch
Patch6000:      Fix-free-of-random-stack-value-in-idn2_to_ascii_4i.patch
Patch6001:      Add-libidn2_register_fuzzer-and-corpora.patch
Patch6002:      Restrict-output-length-to-63.patch
Patch9000:      fix-compile-error-about-missing-aclocal.patch

#Dependency
BuildRequires:  gcc gettext libunistring-devel autoconf texinfo
Provides:       bundled(gnulib)
Provides:       idn2
Obsoletes:      idn2

%description
Libidn2 is a free software implementation of IDNA2008, Punycode and TR46.
Its purpose is to encode and decode internationalized domain names.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Files for %{name} development

%package_help

#Build sections
%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf
%configure --disable-static
%make_build

%install
%make_install
%delete_la
make %{?_smp_mflags} -C examples distclean
%find_lang %{name}

%check
make %{?_smp_mflags} -C tests check

#Install and uninstall scripts
%pre

%preun

%ldconfig_scriptlets

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING COPYING.LESSERv3 COPYING.unicode COPYINGv2
%{_bindir}/idn2
%{_libdir}/%{name}.so.*
%exclude %{_datadir}/info/dir


%files devel
%{_includedir}/*.h
%{_libdir}/%{name}.so
%doc doc/%{name}.html examples
%{_libdir}/pkgconfig/%{name}.pc

%files help
%{_mandir}/man1/idn2.1*
%{_mandir}/man3/*
%{_infodir}/%{name}.info*
%{_datadir}/gtk-doc/

%changelog
* Wed Jan 1 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-6
- Fix bug in patched

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-5
- Fix Memory access out of bounds

* Mon Oct 28 2019 shenyangyang <shenyangyang4@huawei.com> - 2.0.5-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add build requires of texinfo to solve the build problem

* Wed Jul 18 2018 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-3
- Package init
